TechDraw 3PtAngleDimension/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 10: Line 10:
}}
}}


<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name/ru=Указать угловой размер по 3 точкам
|Name/ru=Указать угловой размер по 3 точкам
Line 18: Line 19:
|SeeAlso=[[TechDraw_AngleDimension/ru|Указать угловой размер]]
|SeeAlso=[[TechDraw_AngleDimension/ru|Указать угловой размер]]
}}
}}
</div>


<span id="Description"></span>
<span id="Description"></span>
==Описание==
==Описание==


The '''TechDraw 3PtAngleDimension''' tool adds a angular dimension to a View. The dimension may be specified by selecting three Vertices on a View.
The '''TechDraw 3PtAngleDimension''' tool adds an angular dimension to a View. The dimension shows the interior angle between three points.

'''Note that the second of the three Vertices is the apex of the angle'''. The Angle3Pt will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D distance using the {{Button|[[Image:TechDraw_LinkDimension.svg|16px]] [[TechDraw_LinkDimension|TechDraw LinkDimension]]}} tool.


[[Image:TechDraw_Dimension_Angle3Pt_example.png|200px]]
[[Image:TechDraw_Dimension_Angle3Pt_example.png|200px]]
{{Caption|Measuring the angle between two straight lines using three vertices; the second vertex should be the apex of the angle}}
{{Caption|Measuring the angle between three points}}


<span id="Usage"></span>
<span id="Usage"></span>
==Применение==
==Применение==


# Select three points. The second point will be the apex of the angle. The geometry may be selected in the [[3D_view|3D view]] or in the drawing.
# Select the points or edge which define your measurement.
# If you have selected geometry in the 3D view: add the correct TechDraw View to the selection by selecting it in the [[Tree_view|Tree view]].
# Press the {{Button|[[Image:TechDraw_3PtAngleDimension.svg|16px]] [[TechDraw_3PtAngleDimension|3-Point Angle Dimension]]}} button
# There are several ways to invoke the tool:
# A dimension will be added to the View. The dimension may be dragged to the desired position.
#* Press the {{Button|[[Image:TechDraw_3PtAngleDimension.svg|16px]] [[TechDraw_3PtAngleDimension| Insert 3-Point Angle Dimension]]}} button.
#* Select the {{MenuCommand|TechDraw → Dimensions → [[Image:TechDraw_3PtAngleDimension.svg|16px]] Insert 3-Point Angle Dimension}} option from the menu.
# A dimension is added to the View.
# The dimension may be dragged to the desired position.
# If needed, add tolerances as described on [[TechDraw_Geometric_dimensioning_and_tolerancing#Tolerances|this page]].
# If needed, add tolerances as described on [[TechDraw_Geometric_dimensioning_and_tolerancing#Tolerances|this page]].


===Display 3D measurement===
To change the properties of a dimension object either double-click it in the drawing or in the [[Tree_view|Tree view]]. This will open the [[TechDraw_LengthDimension#Dimension_dialog|dimension dialog]].

See [[TechDraw_LengthDimension#Display_3D_measurement|TechDraw LengthDimension]].

===Change properties===

To change the properties of a dimension object either double-click it in the drawing or in the [[Tree_view|Tree view]]. This will open the [[TechDraw_LengthDimension#Dimension_dialog|Dimension dialog]].


<span id="Limitations"></span>
<span id="Limitations"></span>
== Ограничения ==
== Ограничения ==


Dimension objects are vulnerable to the "[[Topological_naming_problem|topological naming problem]]". See [[TechDraw_LengthDimension|TechDraw LengthDimension]] for more information.
Dimension objects are vulnerable to the "[[Topological_naming_problem|topological naming problem]]". See [[TechDraw_LengthDimension|TechDraw LengthDimension]].

==Notes==

See [[TechDraw_LengthDimension#Notes|TechDraw LengthDimension]].


<span id="Properties"></span>
<span id="Properties"></span>

Revision as of 06:53, 26 July 2023

Other languages:

Указать угловой размер по 3 точкам

Системное название
TechDraw_3PtAngleDimension
Расположение в меню
TechDraw → Указать угловой размер по 3 точкам
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
0.18
См. также
Указать угловой размер

Описание

The TechDraw 3PtAngleDimension tool adds an angular dimension to a View. The dimension shows the interior angle between three points.

Measuring the angle between three points

Применение

  1. Select three points. The second point will be the apex of the angle. The geometry may be selected in the 3D view or in the drawing.
  2. If you have selected geometry in the 3D view: add the correct TechDraw View to the selection by selecting it in the Tree view.
  3. There are several ways to invoke the tool:
  4. A dimension is added to the View.
  5. The dimension may be dragged to the desired position.
  6. If needed, add tolerances as described on this page.

Display 3D measurement

See TechDraw LengthDimension.

Change properties

To change the properties of a dimension object either double-click it in the drawing or in the Tree view. This will open the Dimension dialog.

Ограничения

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension.

Notes

See TechDraw LengthDimension.

Свойства

See TechDraw LengthDimension.

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

The 3-Point Angle Dimension tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle3Pt"
dim1.References2D=[(view1, 'Vertex1',(view1, 'Vertex4'),(view1, 'Vertex2'))]
rc = page.addView(dim1)